<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:c="http://java.sun.com/jstl/core" template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.webservice.tester.ExecutionResult']}"/>
    <ui:define name="body">
        <h:form>
            <gri:panel>
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Execution']}"/>
                </f:facet>

                <s:div rendered="#{executionResult.execution.soapuiProject != null}">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.SoapuiProject']}</ui:define>
                        <h:outputLink
                                value="#{executionResult.execution.soapuiProject.getLink()}"
                                target="_blank">#{executionResult.execution.soapuiProject.label}
                        </h:outputLink>
                    </s:decorate>
                </s:div>

                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.ExecuteBy']}</ui:define>
                    <h:outputText value="#{executionResult.getUserName(executionResult.execution.launchBy)}"/>
                </s:decorate>

                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.ExecutionDate']}</ui:define>
                    <h:outputText value="#{executionResult.execution.launchDate}"/>
                </s:decorate>

                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.DirectLink']}</ui:define>
                    <h:outputLink
                            value="#{executionResult.getLink()}"
                            target="_blank">#{executionResult.getLink()}
                    </h:outputLink>
                </s:decorate>

                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.GlobalStatus']}</ui:define>
                    <h:outputText value="#{executionResult.execution.getStatus()}"
                                  styleClass="gzl-label #{executionResult.execution.getStatus()}"/>
                </s:decorate>

                <s:div rendered="#{executionResult.execution.testComponent != null}">
                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.ComponentExecuted']}</ui:define>
                        <h:outputText value="#{executionResult.execution.getTestComponentToString()}"/>
                    </s:decorate>
                </s:div>

                <h:commandButton value="#{messages['net.ihe.gazelle.webservice.tester.ExecuteAgain']}"
                                 action="#{executionResult.reRun(executionResult.execution)}"
                                 styleClass="gzl-btn-blue" onclick="gazelleStatusStart();"
                                 rendered="#{executionResult.execution != null and identity.loggedIn}"/>
                <br/>

                <gri:panel pid="testInstanceInfoPanel"
                           rendered="#{executionResult.execution.testInstanceResult != null}">
                    <f:facet name="header">
                        <h:outputText value="#{messages['gazelle.simulator.TestInstance']}"/>
                    </f:facet>

                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.TestName']}</ui:define>
                        <h:outputText value="#{executionResult.execution.testInstanceResult.testName}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.TestKeyword']}</ui:define>
                        <h:outputText value="#{executionResult.execution.testInstanceResult.testKeyword}"/>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.TestInstancePermanentLink']}</ui:define>
                        <h:outputLink
                                value="#{executionResult.execution.testInstanceResult.getInstanceLink()}"
                                target="_blank">#{executionResult.execution.testInstanceResult.getInstanceLink()}
                        </h:outputLink>
                    </s:decorate>

                    <s:decorate template="/layout/display/_display.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.TestCurrentStatus']}</ui:define>
                        <h:outputText value="#{executionResult.execution.testInstanceResult.lastStatus}"/>
                    </s:decorate>
                </gri:panel>

                <br/>

                <s:div rendered="#{not empty executionResult.execution.projectResults}">
                    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                        <ui:param name="panel_id" value="oid_panel"/>
                        <ui:param name="openByDefault" value="false"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.CrossValidation']}"/>
                        </ui:define>
                        <rich:dataTable value="#{executionResult.execution.projectResults}"
                                        var="gwtProjectResult">
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.CrossValidatorOID']}</ui:define>
                                <h:outputLink
                                        value="#{gwtProjectResult.redirectToXValidatorDocFromOid(gwtProjectResult.xvalidatorOid)}"
                                        target="_blank">
                                    <h:outputText value="#{gwtProjectResult.xvalidatorOid}"
                                                  rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available')}"/>
                                </h:outputLink>
                                <h:outputText value="#{gwtProjectResult.xvalidatorOid}"
                                              rendered="#{!(executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available'))}"/>
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                    <ui:param name="id" value="g#{gwtProjectResult.id}"/>
                                    <ui:param name="placement" value="#{messages['net.ihe.gazelle.webservice.tester.Bottom']}"/>
                                    <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                    <ui:define name="content">
                                        <h:outputText value="#{gwtProjectResult.getValidatorNameFromOid()}"/>
                                        <br/>
                                        <br/>
                                        <h:outputText value="#{gwtProjectResult.getValidatorDescriptionFromOid()}"/>
                                    </ui:define>
                                </ui:decorate>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.ExecuteCrossValidation']}</ui:define>
                                <s:div rendered="#{gwtProjectResult.getXvalidationResult() != null}">
                                    <h:outputText value="#{gwtProjectResult.getXvalidationResult().xvalidationStatus}"
                                                  styleClass="gzl-label #{gwtProjectResult.getXvalidationResult().xvalidationStatus}"/>
                                    <h:commandLink actionListener="#{gwtProjectResult.xvalidate(gwtProjectResult.xvalidatorOid)}"
                                                   target="_blank">
                                        <s:span title="Re-X-validate" styleClass="gzl-icon-repeat"
                                                rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available')}"/>
                                    </h:commandLink>
                                    <s:div style="display:inline"
                                           rendered="#{!(executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available'))}">
                                        <s:span styleClass="gzl-icon-repeat" style="color:C6C6C6"
                                                rendered="#{!(executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available'))}"
                                                title="This cross validator is not existing/unavailable anymore"/>
                                        <ui:decorate template="/layout/popover/_popover_on_icon.xhtml"
                                                     rendered="#{!(executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available'))}">
                                            <ui:param name="id" value="p#{gwtProjectResult.id}"/>
                                            <ui:param name="placement" value="#{messages['net.ihe.gazelle.webservice.tester.Bottom']}"/>
                                            <ui:param name="icon_class" value="gzl-icon-exclamation-triangle"/>
                                            <ui:define name="content">
                                                <h:outputText
                                                        value="#{messages['net.ihe.gazelle.webservice.tester.ThisCrossValidatorIsNotAvailable']}"
                                                        rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Not available')}"/>
                                                <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ThisCrossValidatorIsNotExisting']}"
                                                              rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Not existing')}"/>
                                            </ui:define>
                                        </ui:decorate>
                                    </s:div>
                                </s:div>
                                <s:div rendered="#{gwtProjectResult.getXvalidationResult() == null}">
                                    <h:commandLink actionListener="#{gwtProjectResult.xvalidate(gwtProjectResult.xvalidatorOid)}">
                                        <s:span title="X Validate" styleClass="gzl-icon-play-blue"
                                                rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available')}"/>
                                    </h:commandLink>
                                    <s:div rendered="#{!(executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available'))}">
                                        <s:span styleClass="gzl-icon-play-blue" style="color:C6C6C6"
                                                rendered="#{!(executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Available'))}"
                                                title="This cross validator is not existing/unavailable"/>
                                        <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                            <ui:param name="id" value="p#{gwtProjectResult.id}"/>
                                            <ui:param name="placement" value="#{messages['net.ihe.gazelle.webservice.tester.Bottom']}"/>
                                            <ui:param name="icon_class" value="gzl-icon-exclamation-triangle"/>
                                            <ui:define name="content">
                                                <h:outputText
                                                        value="#{messages['net.ihe.gazelle.webservice.tester.ThisCrossValidatorIsNotAvailable']}"
                                                        rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Not available')}"/>
                                                <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ThisCrossValidatorIsNotExisting']}"
                                                              rendered="#{executionResult.isCrossValidationStatusAvailable(gwtProjectResult.xvalidatorOid).equals('Not existing')}"/>
                                            </ui:define>
                                        </ui:decorate>
                                    </s:div>
                                </s:div>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.LinkToValidationReport']}</ui:define>
                                <s:div rendered="#{gwtProjectResult.getXvalidationResult() != null}">
                                    <h:outputLink
                                            value="#{gwtProjectResult.xvalidationResult.permanentLink}"
                                            target="_blank">
                                        <h:outputText value="#{gwtProjectResult.xvalidationResult.logOid}"/>
                                        <br/>
                                    </h:outputLink>
                                </s:div>
                            </g:column>
                        </rich:dataTable>

                    </ui:decorate>
                </s:div>

                <div id="summary">
                    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                        <ui:param name="panel_id" value="summary_panel"/>
                        <ui:param name="openByDefault" value="false"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Summary']}"/>
                        </ui:define>

                        <rich:dataTable value="#{executionResult.execution.testStepResults}"
                                        var="testStepResult">
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.TransactionFTestSuiteTestCaseTestStep']})
                                </ui:define>
                                <a4j:commandLink onclick="changeWindowPosition()">
                                    <rich:toggleControl event="click" targetPanel="panel1"
                                                        targetItem="#{testStepResult.id}"/>
                                    <a4j:commandLink onclick="changeWindowPosition()">
                                        <rich:toggleControl event="click" targetPanel="panel1"
                                                            targetItem="#{testStepResult.id}"/>
                                        <h:outputText value="#{testStepResult.getFullLabel()}"/>
                                    </a4j:commandLink>
                                </a4j:commandLink>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.SoapUIValidation']}</ui:define>
                                <s:div>
                                    <h:outputText value="#{testStepResult.getStatusForCss()}"
                                                  styleClass="gzl-label #{testStepResult.getStatusForCss()}"/>
                                </s:div>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.RequestValidation']}</ui:define>
                                <s:div rendered="#{testStepResult.getRequestValidation() != null}">
                                    <h:outputText value="#{testStepResult.getRequestValidation().validationStatus}"
                                                  styleClass="gzl-label #{testStepResult.getRequestValidation().validationStatus}"/>
                                </s:div>
                                <s:div rendered="#{testStepResult.getRequestValidation() == null}">
                                    <h:commandLink actionListener="#{testStepResult.validateRequest()}"
                                                   target="_blank">
                                        <s:span title="Validate request" styleClass="gzl-icon-play-blue"/>
                                    </h:commandLink>
                                </s:div>
                            </g:column>
                            <g:column>
                                <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.ResponseValidation']}</ui:define>
                                <s:div rendered="#{testStepResult.getResponseValidation() != null}">
                                    <h:outputText value="#{testStepResult.getResponseValidation().validationStatus}"
                                                  styleClass="gzl-label #{testStepResult.getResponseValidation().validationStatus}"/>
                                </s:div>
                                <s:div rendered="#{testStepResult.getResponseValidation() == null}">
                                    <h:commandLink actionListener="#{testStepResult.validateResponse()}"
                                                   target="_blank">
                                        <s:span title="Validate response" styleClass="gzl-icon-play-blue"/>
                                    </h:commandLink>
                                </s:div>
                            </g:column>
                        </rich:dataTable>
                    </ui:decorate>
                </div>

                <div id="properties">
                    <ui:decorate template="/layout/panels/_panel_collapse.xhtml">
                        <ui:param name="panel_id" value="properties_panel"/>
                        <ui:param name="openByDefault" value="false"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.PropertiesUsed']}"/>
                        </ui:define>

                        <div class="row">
                            <div class="col-md-6">
                                <rich:tree id="treeOfParams" value="#{executionResult.tree}"
                                           var="node">
                                    <rich:treeNode iconExpanded="images/testcase.png"
                                                   iconCollapsed="images/testcase.png"
                                                   rendered="#{node.data.getClass().getSimpleName() == 'GwtTestCase'}"
                                                   expanded="#{node.data.expendedInTree}">
                                        <a4j:commandLink render="paramPanel" ajaxSingle="true"
                                                         actionListener="#{executionResult.setCustomPropertyUsedList(node.data)}"
                                                         oncomplete="sidebarReset()"
                                                         value="#{node.data.label} [#{executionResult.numberOfCustumPropertiesUsed(node.data)}]"/>
                                    </rich:treeNode>
                                    <rich:treeNode iconExpanded="images/testsuite.png"
                                                   iconCollapsed="images/testsuite.png"
                                                   rendered="#{node.data.getClass().getSimpleName() == 'GwtTestSuite'}"
                                                   expanded="#{node.data.expendedInTree}">
                                        <a4j:commandLink render="paramPanel" ajaxSingle="true"
                                                         actionListener="#{executionResult.setCustomPropertyUsedList(node.data)}"
                                                         oncomplete="sidebarReset()"
                                                         value="#{node.data.label} [#{executionResult.numberOfCustumPropertiesUsed(node.data)}]"/>
                                    </rich:treeNode>
                                    <rich:treeNode iconExpanded="images/project.png"
                                                   iconCollapsed="images/project.png"
                                                   rendered="#{node.data.getClass().getSimpleName() == 'GwtProject'}"
                                                   expanded="#{node.data.expendedInTree}">
                                        <a4j:commandLink render="paramPanel" ajaxSingle="true"
                                                         actionListener="#{executionResult.setCustomPropertyUsedList(node.data)}"
                                                         oncomplete="sidebarReset()"
                                                         value="#{node.data.label} [#{executionResult.numberOfCustumPropertiesUsed(node.data)}]"/>
                                    </rich:treeNode>
                                </rich:tree>
                            </div>
                            <div class="col-md-6">
                                <s:div id="paramPanel">
                                    <gri:panel>
                                        <f:facet name="header">
                                            <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Parameters']}"/>
                                        </f:facet>

                                        <rich:list value="#{executionResult.customPropertyUsedList}" id="list"
                                                   var="propertySelected"
                                                   type="unordered"
                                                   rendered="#{not executionResult.isCustomPropertyUsedListEmpty()}">
                                            <s:decorate template="/layout/form/_checkbox.xhtml">
                                                <s:decorate template="/layout/display/_display.xhtml">
                                                    <ui:define name="label">#{propertySelected.customProperty.label}
                                                    </ui:define>
                                                    <h:outputText value="#{propertySelected.value}"/>
                                                </s:decorate>
                                            </s:decorate>
                                        </rich:list>

                                        <rich:panel styleClass="gzl-alert gzl-alert-blue"
                                                    rendered="#{executionResult.isCustomPropertyUsedListEmpty()}">
                                            <h:outputText
                                                    value="#{messages['net.ihe.gazelle.webservice.tester.ThereIsNoCustomPropertiesForThisComponent_2']}"/>
                                        </rich:panel>
                                    </gri:panel>
                                </s:div>
                            </div>
                        </div>
                    </ui:decorate>
                </div>


                <div class="row">
                    <div class="col-lg-2 scrollspy">
                        <nav class="gzl-sidebar" id="nav-sidebar">
                            <h3>#{messages['net.ihe.gazelle.webservice.tester.Navigation']}</h3>
                            <ul class="nav" id="nav">
                                <li>
                                    <a href="#gzl-container">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.TopOfThePage']}"/>
                                    </a>
                                </li>
                                <li>
                                    <a href="#summary">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Summary']}"/>
                                    </a>
                                </li>
                                <li>
                                    <a href="#properties">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.PropertiesUsed']}"/>
                                    </a>
                                </li>
                                <li>
                                    <a href="#logs">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Logs']}"/>
                                    </a>
                                </li>
                                <hr/>

                                <ui:repeat value="#{executionResult.execution.testStepResults}" var="testStepResult">
                                    <li>
                                        <a4j:commandLink onclick="changeWindowPosition()">
                                            <rich:toggleControl event="click" targetPanel="panel1"
                                                                targetItem="#{testStepResult.id}"/>
                                            <h:outputText value="#{testStepResult.getFullLabel()}"/>
                                        </a4j:commandLink>
                                    </li>
                                </ui:repeat>
                            </ul>
                        </nav>
                    </div>


                    <div id="div_content" class="tab-content col-md-10">
                        <rich:togglePanel id="panel1"
                                          itemChangeListener="#{executionResult.updateCurrent}" switchType="ajax">
                            <c:forEach items="#{executionResult.execution.testStepResults}" var="testStepResult">
                                <rich:togglePanelItem name="#{testStepResult.id}">
                                    <gri:panel>
                                        <f:facet name="header">
                                            <div class="row">
                                                <div class="col-md-8">
                                                    <h:outputText value="#{testStepResult.getFullLabel()}"/>
                                                </div>
                                            </div>
                                        </f:facet>
                                        <s:decorate template="/layout/display/_display.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.SoapUIValidation']}</ui:define>
                                            <h:outputText value="#{testStepResult.getStatusForCss()}"
                                                          styleClass="gzl-label #{testStepResult.getStatusForCss()}"/>
                                        </s:decorate>

                                        <s:decorate template="/layout/display/_display.xhtml">
                                            <ui:define name="label">#{messages['gazelle.simu.Endpoint']}</ui:define>
                                            <h:outputText value="#{testStepResult.endpoint}"/>
                                        </s:decorate>

                                        <s:decorate template="/layout/display/_display.xhtml">
                                            <ui:define name="label">#{messages['gazelle.simu.Timestamp']}</ui:define>
                                            <h:outputText value="#{testStepResult.getTimestamp()}"/>
                                        </s:decorate>

                                        <s:decorate template="/layout/display/_display.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.TimeTaken']}</ui:define>
                                            <h:outputText value="#{testStepResult.timeTaken} #{messages['net.ihe.gazelle.webservice.tester.Ms']}"/>
                                        </s:decorate>

                                        <gri:panel
                                                rendered="#{testStepResult.soapUIMessages != null and testStepResult.soapUIMessages.size() != 0}">
                                            <f:facet name="header">
                                                <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.SoapUIValidationMessages']}"/>
                                            </f:facet>
                                            <rich:list value="#{testStepResult.soapUIMessages}" id="list"
                                                       var="soapuiMessage"
                                                       type="unordered">
                                                <h:outputText value="#{soapuiMessage}"/>
                                            </rich:list>
                                        </gri:panel>

                                        <gri:panel rendered="#{testStepResult.type == 'SOAP'}">
                                            <f:facet name="header">
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <h:outputText value="#{messages['gazelle.simu.Request']}"/>
                                                        <h:commandLink action="#{testStepResult.downloadRequest()}"
                                                                       rendered="#{testStepResult.isRequestContent()}">
                                                            <s:span title="Download file"
                                                                    styleClass="gzl-icon-download text-info"/>
                                                        </h:commandLink>
                                                    </div>
                                                    <div class="col-md-10" style="text-align:right">
                                                        <h:outputText
                                                                value="#{messages['net.ihe.gazelle.webservice.tester.EVSValidation']} "></h:outputText>
                                                        <h:outputLink
                                                                value="#{testStepResult.getRequestValidation().permanentLink}"
                                                                target="_blank">
                                                            <h:outputText
                                                                    value="#{testStepResult.getRequestValidation().permanentLink}"/>
                                                        </h:outputLink>
                                                        <h:outputText
                                                                value="#{testStepResult.getRequestValidation().validationStatus}"
                                                                styleClass="gzl-label #{testStepResult.getRequestValidation().validationStatus}"
                                                                rendered="#{testStepResult.getRequestValidation() != null}"/>
                                                        <h:commandLink
                                                                actionListener="#{testStepResult.validateRequest()}"
                                                                rendered="#{testStepResult.getRequestValidation() == null}"
                                                                target="_blank">
                                                            <s:span title="Validate request"
                                                                    styleClass="gzl-icon-play-blue"/>
                                                        </h:commandLink>
                                                        <h:commandLink
                                                                actionListener="#{testStepResult.validateRequest()}"
                                                                target="_blank"
                                                                rendered="#{testStepResult.getRequestValidation() != null}">
                                                            <s:span title="Re-validate" styleClass="gzl-icon-repeat"/>
                                                        </h:commandLink>
                                                    </div>
                                                </div>
                                            </f:facet>

                                            <s:div rendered="#{testStepResult.isRequestContent()}"
                                                   style="overflow: auto">


                                                <s:decorate template="/layout/display/_display.xhtml">
                                                    <ui:define name="label">#{messages['gazelle.simu.Timestamp']}</ui:define>
                                                    <h:outputText value="#{testStepResult.getTimestamp()}"/>
                                                </s:decorate>

                                                <h:outputText value="#{testStepResult.getRequestContent()}"
                                                              escape="false"/>

                                            </s:div>

                                            <rich:panel styleClass="gzl-alert gzl-alert-yellow"
                                                        rendered="#{not testStepResult.isRequestContent()}">
                                                <span class="gzl-icon-exclamation-triangle"/>
                                                <h:outputText
                                                        value="#{messages['net.ihe.gazelle.webservice.tester.NoRequestFound']}"/>
                                            </rich:panel>

                                            <ui:include src="attachment.xhtml">
                                                <ui:param name="attachmentList"
                                                          value="#{testStepResult.getRequestAttachments()}"/>
                                            </ui:include>

                                        </gri:panel>

                                        <gri:panel rendered="#{testStepResult.type == 'REST'}">
                                            <f:facet name="header">
                                                <h:outputText value="#{messages['gazelle.simu.Request']}"/>
                                            </f:facet>

                                            <s:div rendered="#{testStepResult.isRequestContent()}"
                                                   style="overflow: auto">


                                                <s:decorate template="/layout/display/_display.xhtml">
                                                    <ui:define name="label">#{messages['gazelle.simu.Timestamp']}</ui:define>
                                                    <h:outputText value="#{testStepResult.getTimestamp()}"/>
                                                </s:decorate>
                                                <pre>
                                                    <h:outputText value="#{testStepResult.getRequestContent()}"/>
                                                </pre>

                                            </s:div>

                                            <rich:panel styleClass="gzl-alert gzl-alert-yellow"
                                                        rendered="#{not testStepResult.isRequestContent()}">
                                                <span class="gzl-icon-exclamation-triangle"/>
                                                <h:outputText
                                                        value="#{messages['net.ihe.gazelle.webservice.tester.NoRequestFound']}"/>
                                            </rich:panel>
                                        </gri:panel>

                                        <gri:panel>
                                            <f:facet name="header">
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <h:outputText value="#{messages['gazelle.simu.Response']}"/>
                                                        <h:commandLink action="#{testStepResult.downloadResponse()}"
                                                                       rendered="#{testStepResult.isResponseContent()}">
                                                            <s:span title="Download file"
                                                                    styleClass="gzl-icon-download text-info"/>
                                                        </h:commandLink>
                                                    </div>
                                                    <div class="col-md-10" style="text-align:right">
                                                        <h:outputText
                                                                value="#{messages['net.ihe.gazelle.webservice.tester.EVSValidation']} "></h:outputText>
                                                        <h:outputLink
                                                                value="#{testStepResult.getResponseValidation().permanentLink}"
                                                                target="_blank">
                                                            <h:outputText
                                                                    value="#{testStepResult.getResponseValidation().permanentLink}"/>
                                                        </h:outputLink>
                                                        <h:outputText
                                                                value="#{testStepResult.getResponseValidation().validationStatus}"
                                                                styleClass="gzl-label #{testStepResult.getResponseValidation().validationStatus}"
                                                                rendered="#{testStepResult.getResponseValidation() != null}"/>
                                                        <h:commandLink
                                                                actionListener="#{testStepResult.validateResponse()}"
                                                                rendered="#{testStepResult.getResponseValidation() == null}"
                                                                target="_blank">
                                                            <s:span title="Validate request"
                                                                    styleClass="gzl-icon-play-blue"/>
                                                        </h:commandLink>
                                                        <h:commandLink
                                                                actionListener="#{testStepResult.validateResponse()}"
                                                                target="_blank"
                                                                rendered="#{testStepResult.getResponseValidation() != null}">
                                                            <s:span title="Re-validate" styleClass="gzl-icon-repeat"/>
                                                        </h:commandLink>
                                                    </div>
                                                </div>
                                            </f:facet>

                                            <s:div rendered="#{testStepResult.doesResponseContainPayloadOrContent()}"
                                                   style="overflow: auto">
                                                <s:decorate template="/layout/display/_display.xhtml">
                                                    <ui:define name="label">#{messages['gazelle.simu.Timestamp']}</ui:define>
                                                    <h:outputText value="#{testStepResult.getResponseTimestamp()}"/>
                                                </s:decorate>

                                                <pre>
                                                <h:outputText value="#{testStepResult.getResponsePayload()}"
                                                              escape="false"/>
                                                </pre>

                                                <h:outputText value="#{testStepResult.getResponseContent()}"
                                                              escape="false"/>
                                            </s:div>

                                            <rich:panel styleClass="gzl-alert gzl-alert-yellow"
                                                        rendered="#{not testStepResult.isResponseContent()}">
                                                <span class="gzl-icon-exclamation-triangle"/>
                                                <h:outputText
                                                        value="#{messages['net.ihe.gazelle.webservice.tester.NoResponseFound']}"/>
                                            </rich:panel>

                                            <ui:include src="attachment.xhtml">
                                                <ui:param name="attachmentList"
                                                          value="#{testStepResult.getResponseAttachments()}"/>
                                            </ui:include>
                                        </gri:panel>

                                    </gri:panel>
                                </rich:togglePanelItem>
                            </c:forEach>
                        </rich:togglePanel>

                        <div id="logs">
                            <gri:panel>

                                <f:facet name="header">
                                    <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Logs']}"/>
                                </f:facet>

                                <gri:panel>
                                    <f:facet name="header">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Soapuilog']}"/>
                                    </f:facet>

                                    <s:div rendered="#{executionResult.getSoapuiLog() != null}">
                                        <pre>
                                            <h:outputText value="#{executionResult.getSoapuiLog()}"
                                                          escape="false"/>
                                        </pre>
                                    </s:div>

                                    <rich:panel styleClass="gzl-alert gzl-alert-yellow"
                                                rendered="#{executionResult.getSoapuiLog() == null}">
                                        <span class="gzl-icon-exclamation-triangle"/>
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.webservice.tester.NoLogsFound']}"/>
                                    </rich:panel>
                                </gri:panel>

                                <gri:panel>
                                    <f:facet name="header">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Soapuierrorslog']}"/>
                                    </f:facet>

                                    <s:div rendered="#{executionResult.getSoapuiErrorLog() != null}">
                                        <pre>
                                            <h:outputText value="#{executionResult.getSoapuiErrorLog()}"
                                                          escape="false"/>
                                        </pre>
                                    </s:div>

                                    <rich:panel styleClass="gzl-alert gzl-alert-yellow"
                                                rendered="#{executionResult.getSoapuiErrorLog() == null}">
                                        <span class="gzl-icon-exclamation-triangle"/>
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.webservice.tester.NoLogsFound']}"/>
                                    </rich:panel>

                                </gri:panel>

                                <gri:panel>
                                    <f:facet name="header">
                                        <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.Globalgroovylog']}"/>
                                    </f:facet>

                                    <s:div rendered="#{executionResult.getGroovyLog() != null}">
                                        <pre>
                                            <h:outputText value="#{executionResult.getGroovyLog()}" escape="false"/>
                                        </pre>
                                    </s:div>

                                    <rich:panel styleClass="gzl-alert gzl-alert-yellow"
                                                rendered="#{executionResult.getGroovyLog() == null}">
                                        <span class="gzl-icon-exclamation-triangle"/>
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.webservice.tester.NoLogsFound']}"/>
                                    </rich:panel>
                                </gri:panel>

                            </gri:panel>

                        </div>
                    </div>
                </div>


            </gri:panel>
        </h:form>
        <script type="text/javascript">
            function sidebarReset() {
                console.log("sidebar function");
                var sidebarTop = $('#nav-sidebar').offset().top;
                $(window).bind('scroll', function () {
                    var navHeight = sidebarTop;
                    if ($(window).scrollTop() > navHeight) {
                        $('nav#nav-sidebar').addClass(' gzl-affix-right');
                    } else {
                        $('nav#nav-sidebar').removeClass(' gzl-affix-right');
                    }
                });
            }

            $(document).ready(sidebarReset);
            document.getElementById("properties_panelheadingOne").onclick = function call() {
                setTimeout(sidebarReset, 1000);
            };
            document.getElementById("summary_panelheadingOne").onclick = function call2() {
                setTimeout(sidebarReset, 1000);
            };

            function changeWindowPosition() {
                window.location.href = "#div_content";
            }
        </script>
    </ui:define>
</ui:composition>
